<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Sound Manager: R:/SoundManagerBinding/src/soundmanager.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Sound Manager
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('soundmanager_8c.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">soundmanager.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;unistd.h&gt;</code><br />
<code>#include &lt;json-c/json.h&gt;</code><br />
<code>#include &lt;glib.h&gt;</code><br />
<code>#include &lt;pthread.h&gt;</code><br />
<code>#include &lt;afb/afb-binding.h&gt;</code><br />
<code>#include &quot;<a class="el" href="sm-error_8h_source.html">sm-error.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="sm-helper_8h_source.html">sm-helper.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="audio__manager__interface_8h_source.html">dbus/audio_manager_interface.h</a>&quot;</code><br />
</div>
<p><a href="soundmanager_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structevent.html">event</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a369266c24eacffb87046522897a570d5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a369266c24eacffb87046522897a570d5">_GNU_SOURCE</a></td></tr>
<tr class="separator:a369266c24eacffb87046522897a570d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2c1fbc92ba364fcf83f15e6d0af66f0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#ad2c1fbc92ba364fcf83f15e6d0af66f0">AFB_BINDING_VERSION</a>&#160;&#160;&#160;2</td></tr>
<tr class="separator:ad2c1fbc92ba364fcf83f15e6d0af66f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad25089fbfd55bf795bed283a5b283461"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#ad25089fbfd55bf795bed283a5b283461">AM_NAME</a>&#160;&#160;&#160;&quot;org.genivi.audiomanager&quot;</td></tr>
<tr class="separator:ad25089fbfd55bf795bed283a5b283461"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa98a8b4c63efeb6e209144e7b247291"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#afa98a8b4c63efeb6e209144e7b247291">AM_CMD_PATH</a>&#160;&#160;&#160;&quot;/org/genivi/audiomanager/commandinterface&quot;</td></tr>
<tr class="separator:afa98a8b4c63efeb6e209144e7b247291"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a50fb496af125690fb276944b3b4cff"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a9a50fb496af125690fb276944b3b4cff">AM_ROUTE_PATH</a>&#160;&#160;&#160;&quot;/org/genivi/audiomanager/routinginterface&quot;</td></tr>
<tr class="separator:a9a50fb496af125690fb276944b3b4cff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96c947aaa1e7cb28095c24d1dc4b6ed4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a96c947aaa1e7cb28095c24d1dc4b6ed4">AM_ROUTE_NAME</a>&#160;&#160;&#160;&quot;org.genivi.audiomanager.routinginterface&quot;</td></tr>
<tr class="separator:a96c947aaa1e7cb28095c24d1dc4b6ed4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a525d367205e4db384f040fb48b795f29"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a525d367205e4db384f040fb48b795f29">SOUND_MANAGER_RETURN_INTERFACE</a>&#160;&#160;&#160;&quot;org.genivi.audiomanager.routing.soundmanager&quot;</td></tr>
<tr class="separator:a525d367205e4db384f040fb48b795f29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d51ac1cb2ec7570dcf07012d66cf524"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a7d51ac1cb2ec7570dcf07012d66cf524">SOUND_MANAGER_BUS_NAME</a>&#160;&#160;&#160;&quot;org.genivi.audiomanager.routing.soundmanager&quot;</td></tr>
<tr class="separator:a7d51ac1cb2ec7570dcf07012d66cf524"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2690d3e2461f5a2f9bb0720d657280da"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a2690d3e2461f5a2f9bb0720d657280da">SOUND_MANAGER_PATH</a>&#160;&#160;&#160;&quot;/org/genivi/audiomanager/routing/soundmanager&quot;</td></tr>
<tr class="separator:a2690d3e2461f5a2f9bb0720d657280da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09f43d9e7e1c5d2198c0d66024b4500e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a09f43d9e7e1c5d2198c0d66024b4500e">COMMAND_EVENT_NUM</a>&#160;&#160;&#160;10</td></tr>
<tr class="separator:a09f43d9e7e1c5d2198c0d66024b4500e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33d1c40de8a5e7a3d6f0e2f45de9f37f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a33d1c40de8a5e7a3d6f0e2f45de9f37f">ROUTING_EVENT_NUM</a>&#160;&#160;&#160;10</td></tr>
<tr class="separator:a33d1c40de8a5e7a3d6f0e2f45de9f37f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77e25a7b6c35e720d5407547742ffb4a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a77e25a7b6c35e720d5407547742ffb4a">DEFAULT_SINK</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a77e25a7b6c35e720d5407547742ffb4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01a153a96c3eca52ef728f1485f1d4f3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a01a153a96c3eca52ef728f1485f1d4f3">DEFAULT_SOURCE_CLASS_ID</a>&#160;&#160;&#160;100</td></tr>
<tr class="separator:a01a153a96c3eca52ef728f1485f1d4f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefb25f32a5ddeacbb5e6b8b09dc3e7bc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#aefb25f32a5ddeacbb5e6b8b09dc3e7bc">DYNAMIC_DOMAIN_ID</a>&#160;&#160;&#160;100</td></tr>
<tr class="separator:aefb25f32a5ddeacbb5e6b8b09dc3e7bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6cc6b4707dec0c561eec43222a498ca"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#ab6cc6b4707dec0c561eec43222a498ca">DEFAULT_DOMAIN_ID</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:ab6cc6b4707dec0c561eec43222a498ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65be832e9b9e7fc4df6f9247f9779169"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a65be832e9b9e7fc4df6f9247f9779169">DYNAMIC_SOURCE_ID</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:a65be832e9b9e7fc4df6f9247f9779169"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c0c52208e7308ae9eecd726fe8d94b9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a2c0c52208e7308ae9eecd726fe8d94b9">DEFAULT_VOLUME</a>&#160;&#160;&#160;100</td></tr>
<tr class="separator:a2c0c52208e7308ae9eecd726fe8d94b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d2195a3c1e1c25f65a4d583f3ca383b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a3d2195a3c1e1c25f65a4d583f3ca383b">DEFAULT_AVAILABLES</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a3d2195a3c1e1c25f65a4d583f3ca383b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe2844c6f961ec3364ee5e54148baf3d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#afe2844c6f961ec3364ee5e54148baf3d">DEFAULT_CONNECTION_FORMAT</a>&#160;&#160;&#160;2</td></tr>
<tr class="separator:afe2844c6f961ec3364ee5e54148baf3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad84a55c2affa8cbbf6584ec59ffe8d8a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#ad84a55c2affa8cbbf6584ec59ffe8d8a">DEFAULT_INTERRUPT</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:ad84a55c2affa8cbbf6584ec59ffe8d8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e55e315783d371a4d49378bae0310a7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a2e55e315783d371a4d49378bae0310a7">DEFAULT_SOURCE_STATE</a>&#160;&#160;&#160;2</td></tr>
<tr class="separator:a2e55e315783d371a4d49378bae0310a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a822ca9cdd926d3e23974346b3b0ea896"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a822ca9cdd926d3e23974346b3b0ea896">DS_CONTROLLED</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a822ca9cdd926d3e23974346b3b0ea896"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a68ed04201d9390bb85b2c6ab1d7250"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#a9a68ed04201d9390bb85b2c6ab1d7250">EVENT_SUBSCRIBE_ERROR_CODE</a>&#160;&#160;&#160;100</td></tr>
<tr class="separator:a9a68ed04201d9390bb85b2c6ab1d7250"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ae2a62ab481a2922cbfc788193857a12e"><td class="memItemLeft" align="right" valign="top">const struct afb_binding_v2&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soundmanager_8c.html#ae2a62ab481a2922cbfc788193857a12e">afbBindingV2</a></td></tr>
<tr class="separator:ae2a62ab481a2922cbfc788193857a12e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a369266c24eacffb87046522897a570d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a369266c24eacffb87046522897a570d5">&#9670;&nbsp;</a></span>_GNU_SOURCE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define _GNU_SOURCE</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00017">17</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="ad2c1fbc92ba364fcf83f15e6d0af66f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2c1fbc92ba364fcf83f15e6d0af66f0">&#9670;&nbsp;</a></span>AFB_BINDING_VERSION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AFB_BINDING_VERSION&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00018">18</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="afa98a8b4c63efeb6e209144e7b247291"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa98a8b4c63efeb6e209144e7b247291">&#9670;&nbsp;</a></span>AM_CMD_PATH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AM_CMD_PATH&#160;&#160;&#160;&quot;/org/genivi/audiomanager/commandinterface&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00033">33</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="ad25089fbfd55bf795bed283a5b283461"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad25089fbfd55bf795bed283a5b283461">&#9670;&nbsp;</a></span>AM_NAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AM_NAME&#160;&#160;&#160;&quot;org.genivi.audiomanager&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00032">32</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a96c947aaa1e7cb28095c24d1dc4b6ed4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96c947aaa1e7cb28095c24d1dc4b6ed4">&#9670;&nbsp;</a></span>AM_ROUTE_NAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AM_ROUTE_NAME&#160;&#160;&#160;&quot;org.genivi.audiomanager.routinginterface&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00035">35</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a9a50fb496af125690fb276944b3b4cff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a50fb496af125690fb276944b3b4cff">&#9670;&nbsp;</a></span>AM_ROUTE_PATH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AM_ROUTE_PATH&#160;&#160;&#160;&quot;/org/genivi/audiomanager/routinginterface&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00034">34</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a09f43d9e7e1c5d2198c0d66024b4500e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09f43d9e7e1c5d2198c0d66024b4500e">&#9670;&nbsp;</a></span>COMMAND_EVENT_NUM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define COMMAND_EVENT_NUM&#160;&#160;&#160;10</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00040">40</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a3d2195a3c1e1c25f65a4d583f3ca383b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d2195a3c1e1c25f65a4d583f3ca383b">&#9670;&nbsp;</a></span>DEFAULT_AVAILABLES</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DEFAULT_AVAILABLES&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00048">48</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="afe2844c6f961ec3364ee5e54148baf3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe2844c6f961ec3364ee5e54148baf3d">&#9670;&nbsp;</a></span>DEFAULT_CONNECTION_FORMAT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DEFAULT_CONNECTION_FORMAT&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00049">49</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="ab6cc6b4707dec0c561eec43222a498ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6cc6b4707dec0c561eec43222a498ca">&#9670;&nbsp;</a></span>DEFAULT_DOMAIN_ID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DEFAULT_DOMAIN_ID&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00045">45</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="ad84a55c2affa8cbbf6584ec59ffe8d8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad84a55c2affa8cbbf6584ec59ffe8d8a">&#9670;&nbsp;</a></span>DEFAULT_INTERRUPT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DEFAULT_INTERRUPT&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00050">50</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a77e25a7b6c35e720d5407547742ffb4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77e25a7b6c35e720d5407547742ffb4a">&#9670;&nbsp;</a></span>DEFAULT_SINK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DEFAULT_SINK&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00042">42</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a01a153a96c3eca52ef728f1485f1d4f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01a153a96c3eca52ef728f1485f1d4f3">&#9670;&nbsp;</a></span>DEFAULT_SOURCE_CLASS_ID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DEFAULT_SOURCE_CLASS_ID&#160;&#160;&#160;100</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00043">43</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a2e55e315783d371a4d49378bae0310a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e55e315783d371a4d49378bae0310a7">&#9670;&nbsp;</a></span>DEFAULT_SOURCE_STATE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DEFAULT_SOURCE_STATE&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00051">51</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a2c0c52208e7308ae9eecd726fe8d94b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c0c52208e7308ae9eecd726fe8d94b9">&#9670;&nbsp;</a></span>DEFAULT_VOLUME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DEFAULT_VOLUME&#160;&#160;&#160;100</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00047">47</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a822ca9cdd926d3e23974346b3b0ea896"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a822ca9cdd926d3e23974346b3b0ea896">&#9670;&nbsp;</a></span>DS_CONTROLLED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DS_CONTROLLED&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00052">52</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="aefb25f32a5ddeacbb5e6b8b09dc3e7bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefb25f32a5ddeacbb5e6b8b09dc3e7bc">&#9670;&nbsp;</a></span>DYNAMIC_DOMAIN_ID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DYNAMIC_DOMAIN_ID&#160;&#160;&#160;100</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00044">44</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a65be832e9b9e7fc4df6f9247f9779169"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65be832e9b9e7fc4df6f9247f9779169">&#9670;&nbsp;</a></span>DYNAMIC_SOURCE_ID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DYNAMIC_SOURCE_ID&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00046">46</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a9a68ed04201d9390bb85b2c6ab1d7250"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a68ed04201d9390bb85b2c6ab1d7250">&#9670;&nbsp;</a></span>EVENT_SUBSCRIBE_ERROR_CODE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EVENT_SUBSCRIBE_ERROR_CODE&#160;&#160;&#160;100</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00054">54</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a33d1c40de8a5e7a3d6f0e2f45de9f37f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33d1c40de8a5e7a3d6f0e2f45de9f37f">&#9670;&nbsp;</a></span>ROUTING_EVENT_NUM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ROUTING_EVENT_NUM&#160;&#160;&#160;10</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00041">41</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a7d51ac1cb2ec7570dcf07012d66cf524"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d51ac1cb2ec7570dcf07012d66cf524">&#9670;&nbsp;</a></span>SOUND_MANAGER_BUS_NAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SOUND_MANAGER_BUS_NAME&#160;&#160;&#160;&quot;org.genivi.audiomanager.routing.soundmanager&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00037">37</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a2690d3e2461f5a2f9bb0720d657280da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2690d3e2461f5a2f9bb0720d657280da">&#9670;&nbsp;</a></span>SOUND_MANAGER_PATH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SOUND_MANAGER_PATH&#160;&#160;&#160;&quot;/org/genivi/audiomanager/routing/soundmanager&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00038">38</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<a id="a525d367205e4db384f040fb48b795f29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a525d367205e4db384f040fb48b795f29">&#9670;&nbsp;</a></span>SOUND_MANAGER_RETURN_INTERFACE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SOUND_MANAGER_RETURN_INTERFACE&#160;&#160;&#160;&quot;org.genivi.audiomanager.routing.soundmanager&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l00036">36</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ae2a62ab481a2922cbfc788193857a12e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2a62ab481a2922cbfc788193857a12e">&#9670;&nbsp;</a></span>afbBindingV2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const struct afb_binding_v2 afbBindingV2</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= {</div><div class="line">    .api = <span class="stringliteral">&quot;soundmanager&quot;</span>,</div><div class="line">    .specification = NULL,</div><div class="line">    .verbs = binding_verbs,</div><div class="line">    .preinit = preinit,</div><div class="line">    .init = sm_event_init,</div><div class="line">    .onevent = onevent</div><div class="line">}</div></div><!-- fragment -->
<p class="definition">Definition at line <a class="el" href="soundmanager_8c_source.html#l01567">1567</a> of file <a class="el" href="soundmanager_8c_source.html">soundmanager.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_fc265b39262ea2713c037617d421974d.html">R:</a></li><li class="navelem"><a class="el" href="dir_c0f9ac54811231ea41ecdb457a109fa8.html">SoundManagerBinding</a></li><li class="navelem"><a class="el" href="dir_0edebbbd890f462231084d11aa59ffa6.html">src</a></li><li class="navelem"><a class="el" href="soundmanager_8c.html">soundmanager.c</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
